Skip to content
Get started

Get uptime metrics for an SLA data source

GET/v1/slas/{sla_urn}/data-sources/{data_source_urn}/uptime-metrics

Get uptime metrics for an SLA data source

Path ParametersExpand Collapse
sla_urn: string
data_source_urn: string
Query ParametersExpand Collapse
end: string

ISO-formatted datetime for the end of the evaluation period (e.g. 2024-01-31, 2024-01-31T23:59:59Z)

formatdate-time
start: string

ISO-formatted datetime for the start of the evaluation period (e.g. 2024-01-01, 2024-01-15T08:00:00Z)

formatdate-time
ReturnsExpand Collapse
data_source_urn: string

The unique identifier of the data source

downtime_events: array of object { duration_hours, end_time, name, start_time }

A non-deduplicated list of downtime events that occurred during the timeframe

duration_hours: number

The duration of the downtime event in hours

end_time: string

The end time of the downtime event

formatdate-time
name: string

The display name of the downtime event

start_time: string

The start time of the downtime event

formatdate-time
metrics: object { downtime_hours, uptime_percentage }

The uptime metrics for the data source during the timeframe

downtime_hours: number

The total number of downtime hours during the timeframe

uptime_percentage: number

The percentage of uptime during the timeframe

metrics_deduplicated: object { downtime_hours, uptime_percentage }

The uptime metrics for the data source during the timeframe, with overlapping windows of downtime (such as from different incidents that occurred simultaneously) counted only once

downtime_hours: number

The total number of downtime hours during the timeframe

uptime_percentage: number

The percentage of uptime during the timeframe

sla_urn: string

The unique identifier of the SLA

timeframe: object { end, start }

The timeframe for which the uptime metrics are calculated

end: string

The ISO-formatted end datetime of the timeframe for which the metrics are calculated

formatdate-time
start: string

The ISO-formatted start datetime of the timeframe for which the metrics are calculated

formatdate-time
vendor_urn: string

The unique identifier of the vendor

Get uptime metrics for an SLA data source

curl https://developer.clarative.ai/v1/slas/$SLA_URN/data-sources/$DATA_SOURCE_URN/uptime-metrics \
    -H "Authorization: Bearer $CLARATIVE_API_KEY"
{
  "data_source_urn": "data_source_urn",
  "downtime_events": [
    {
      "duration_hours": 0,
      "end_time": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "start_time": "2019-12-27T18:11:19.117Z"
    }
  ],
  "metrics": {
    "downtime_hours": 0,
    "uptime_percentage": 0
  },
  "metrics_deduplicated": {
    "downtime_hours": 0,
    "uptime_percentage": 0
  },
  "sla_urn": "sla_urn",
  "timeframe": {
    "end": "2019-12-27T18:11:19.117Z",
    "start": "2019-12-27T18:11:19.117Z"
  },
  "vendor_urn": "vendor_urn"
}
Returns Examples
{
  "data_source_urn": "data_source_urn",
  "downtime_events": [
    {
      "duration_hours": 0,
      "end_time": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "start_time": "2019-12-27T18:11:19.117Z"
    }
  ],
  "metrics": {
    "downtime_hours": 0,
    "uptime_percentage": 0
  },
  "metrics_deduplicated": {
    "downtime_hours": 0,
    "uptime_percentage": 0
  },
  "sla_urn": "sla_urn",
  "timeframe": {
    "end": "2019-12-27T18:11:19.117Z",
    "start": "2019-12-27T18:11:19.117Z"
  },
  "vendor_urn": "vendor_urn"
}